### Method

# Adw Squeezerset_homogeneous

deprecated: 1.4

#### Declaration [src]

    void
    adw_squeezer_set_homogeneous (
      AdwSqueezer* self,
      gboolean homogeneous
    )

#### Description [src]

Sets whether all children have the same size for the opposite orientation.

For example, if a squeezer is horizontal and is homogeneous, it will request the same height for all its children. If it isn’t, the squeezer may change size when a different child becomes visible.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Squeezer:homogeneous`

#### Parameters

`homogeneous`

  Type: `gboolean`

  Whether `self` is homogeneous.